package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmdPartitionModel;
import com.bocloud.cmp.provider.SuperProvider;

import java.util.List;

public interface VirtualIOServerProvider extends SuperProvider {
    List<HmdPartitionModel> list();

    List<HmdPartitionModel> list(String serverUuid);

    HmdPartitionModel create(HmdPartitionModel vios);

    HmdPartitionModel modify(HmdPartitionModel vios);

    void remove(String viosUuid);
}
